<template>
    <v-card class="pa-2 mx-auto lista-sem-formatacao" outlined tile width="500" justify="center">
        <div class='nada-selecionado' v-show="!(cestinhaQuantidade.produto_id > 0)">
            <v-row justify="center" no-gutters>
                <v-col class="text-center" cols="12">

                    <h4>Festival de Música e Hambúrguer Artesanal</h4>

                    <v-img src="../../assets/hamburger3.png" width="450px">
                    </v-img>

                    <v-img src="../../assets/aguardando.jpg" width="430px" aspect-ratio="3">
                    </v-img>

                </v-col>
            </v-row>
        </div>
        <div class='algo-selecionado' v-show="cestinhaQuantidade.produto_id > 0">
            <h1 width="100%" class="text-center" justify="center">
                {{exibeNomeProdutoSelecionado(cestinhaQuantidade.produto_id)}}</h1>
            <br>
            <v-row justify="center" no-gutters>
                <v-col class="text-center" cols="8">
                    <div class="">
                        <v-btn @click="addQuantidade('7')">7</v-btn>
                        <v-btn @click="addQuantidade('8')">8</v-btn>
                        <v-btn @click="addQuantidade('9')">9</v-btn>
                    </div>
                    <div class="">
                        <v-btn @click="addQuantidade('4')">4</v-btn>
                        <v-btn @click="addQuantidade('5')">5</v-btn>
                        <v-btn @click="addQuantidade('6')">6</v-btn>
                    </div>
                    <div class="">
                        <v-btn @click="addQuantidade('1')">1</v-btn>
                        <v-btn @click="addQuantidade('2')">2</v-btn>
                        <v-btn @click="addQuantidade('3')">3</v-btn>
                    </div>
                    <div class="">
                        <v-btn @click="limpaQuantidade()">x</v-btn>
                        <v-btn @click="addQuantidade('0')">0</v-btn>
                        <v-btn @click="limpaQuantidade()">x</v-btn>
                    </div>
                </v-col>
                <v-col class="text-center" cols="3">
                    <p>Quantidade</p>
                    <h1>{{quantidade}}</h1>
                    <v-btn @click="confirmaQuantidade()" v-show="quantidade != ''">Confirmar</v-btn>
                </v-col>
                <v-col class="text-center" cols="1">
                </v-col>
            </v-row>
            <v-row justify="center" no-gutters>
                <v-col class="text-center align-center" cols="9">
                    <div class="align-center" width="100%" style="padding: 20px 0 0 50px;">
                        <v-img src="../../assets/hamburger2.png"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'hamburger2.png'" width="200px">
                        </v-img>
                        <v-img src="../../assets/refri-coca.png"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'refri-coca.png'" width="200px">
                        </v-img>
                        <v-img src="../../assets/refri-fanta.png"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'refri-fanta.png'" width="200px">
                        </v-img>
                        <v-img src="../../assets/refri-kuat.jpg"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'refri-kuat.jpg'" width="200px">
                        </v-img>
                        <v-img src="../../assets/refri-sprite.jpg"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'refri-sprite.jpg'"
                            width="200px">
                        </v-img>
                        <v-img src="../../assets/refri-uva.png"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'refri-uva.png'" width="200px">
                        </v-img>
                        <v-img src="../../assets/agua.png"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'agua.png'" width="200px">
                        </v-img>
                        <v-img src="../../assets/alfajor.png"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'alfajor.png'" width="200px">
                        </v-img>
                        <v-img src="../../assets/molho.png"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'molho.png'" width="200px">
                        </v-img>
                        <v-img src="../../assets/no-image.jpg"
                            v-show="getImagemProduto(cestinhaQuantidade.produto_id) == 'no-image.jpg'" width="200px">
                        </v-img>
                    </div>
                </v-col>
                <v-col class="text-center" cols="3">
                    <v-textarea label="Observação" v-model="observacao"></v-textarea>
                </v-col>
            </v-row>
            <br>
        </div>
        <div class='algo-selecionado'>
            <v-row justify="center" no-gutters>
                <v-col class="text-center" cols="12">
                    <!-- <v-btn color="orange">Gerar Número de Pedido</v-btn> -->
                    <!-- <p v-show="false"> -->
                    Número do Último Pedido:
                    <h1>{{zerosEsquerda(numeroUltimoPedido)}}</h1>
                    <!-- </p> -->
                </v-col>
            </v-row>
        </div>
    </v-card>
</template>

<script>
    export default {
        name: 'QuantidadeProdutos',
        inject: ['zerosEsquerda'],
        props: [
            'cestinha',
            'produtos',
            'numeroUltimoPedido',
        ],
        data() {
            return {
                cestinhaQuantidade: {
                    'produto_id': 0,
                    'quantidade': 0
                },
                listaProdutos: {
                    'dados': []
                },
                produtoSelecionado: {
                    'nome': '',
                },
                quantidade: '',
                observacao: '',
            }
        },
        watch: {
            cestinha: function () {
                console.log("QuantidadeProdutos watch cestinha", this.cestinha);
                this.cestinhaQuantidade = this.cestinha;
                this.quantidade = '';
            },
            produtos: function () {
                this.listaProdutos = this.produtos;
            },
            cestinhaQuantidade: function () {
                console.log("QuantidadeProdutos watch cestinhaQuantidade");
                this.quantidade = '';
                this.limpaQuantidade();
            }
        },
        created: async function () {
            console.log("QuantidadeProdutos created");
        },
        mounted: async function () {
            console.log("QuantidadeProdutos mounted");
            this.cestinhaQuantidade = this.cestinha;
            this.listaProdutos = this.produtos;
            this.retornaProdutos();
        },
        methods: {
            retornaProdutos: function () {
                console.log("QuantidadeProdutos pegaProdutos");
                this.listaProdutos = this.$parent.$parent.retornaProdutos();
            },
            exibeNomeProdutoSelecionado: function (id = null) {
                let lista = null;

                if (id != null && id > 0 && this.listaProdutos != undefined && this.listaProdutos.dados.length >
                    0) {
                    lista = this.listaProdutos.dados.filter(p => {
                        return p.id == id
                    });
                    if (lista !== undefined && lista != null) {
                        return lista[0]['nome'];
                    }
                }
                return '';
            },
            addQuantidade: function (numero) {
                console.log("QuantidadeProdutos addQuantidade", numero);
                if (this.quantidade.length <= 1) {
                    this.quantidade = this.quantidade + '' + numero;
                }
            },
            limpaQuantidade: function () {
                console.log("QuantidadeProdutos limpaQuantidade");
                this.quantidade = '';
                this.observacao = '';
            },
            confirmaQuantidade: function () {
                console.log("QuantidadeProdutos confirmaQuantidade");
                this.$parent.$parent.informaQuantidade(this.quantidade,this.observacao);

                this.limpaQuantidade();
            },
            getImagemProduto: function (produto_id) {
                // console.log("QuantidadeProdutos getImagemProduto", produto_id);
                let imagem = "";

                imagem = this.$parent.$parent.getImagemProduto(produto_id);

                if (imagem == "" || imagem == null || imagem == undefined)
                    imagem = "no-image.jpg";

                // return "@/assets/" + imagem + '?vuetify-preload';
                return imagem;
            },
            getQuantidadeCestinha: function () {
                return this.$parent.$parent.getQuantidadeCestinha();
            },

        }
    }
</script>

<style lang="scss">

</style>